Index: extensions/AMetaData/language/en_UK/plugin.lang.php
===================================================================
--- extensions/AMetaData/language/en_UK/plugin.lang.php	(revision 6977)
+++ extensions/AMetaData/language/en_UK/plugin.lang.php	(revision 7035)
@@ -79,6 +79,4 @@
 $lang['g003_warning_on_analyze_3a'] = "the number of pictures in the gallery";
 $lang['g003_warning_on_analyze_3b'] = "the number of pictures displayed every day";
-$lang['g003_warning_on_analyze_4a'] = "the repository is used for statistical purposes only and facilitates the metadata selection for display";
-$lang['g003_warning_on_analyze_4b'] = "an image not used in the repository making still has metadata on the gallery";
 $lang['g003_warning_on_analyze_5'] = "In order to get a complete repository quickly, a more complete analyze of the gallery is possible:";
 $lang['g003_warning_on_analyze_0'] = "Warning!";
@@ -168,6 +166,4 @@
 
 
-
-
 /** ----------------------------------------------------------------------------
  * new keys from releases 0.5.0/0.5.1
@@ -179,12 +175,11 @@
 $lang['g003_state'] = "State";
 $lang['g003_update'] = "Update";
-$lang['g003_personnal'] = "User defined";
+$lang['g003_personnal'] = "Custom";
 $lang['g003_search'] = "Search";
 
-$lang['g003_personnal_metadata'] = "User defined metadata";
+$lang['g003_personnal_metadata'] = "Custom metadata";
 $lang['g003_add_a_new_md'] = "Add a new metadata";
-$lang['g003_fill_database'] = "Alimente le référentiel";
 $lang['g003_num_of_rules'] = "Number of rules";
-$lang['g003_metadatId'] = "Metadata ID";
+$lang['g003_metadatId'] = "Identifier of the metadata";
 $lang['g003_rules'] = "Rules";
 $lang['g003_add_a_rule'] = "Add a rule";
@@ -193,80 +188,80 @@
 $lang['g003_typeCondition'] = "Condition";
 $lang['g003_typeCIfExist'] = "exists";
-$lang['g003_typeCIfNotExist'] = "don't exists";
+$lang['g003_typeCIfNotExist'] = "does not exist";
 $lang['g003_typeCIfEqual'] = "equals";
-$lang['g003_typeCIfNotEqual'] = "is not equals";
-$lang['g003_typeCIfLike'] = "like";
-$lang['g003_typeCIfNotLike'] = "don't like";
+$lang['g003_typeCIfNotEqual'] = "is not equal to";
+$lang['g003_typeCIfLike'] = "contain";
+$lang['g003_typeCIfNotLike'] = "does not contain";
 $lang['g003_typeCIfBeginWith'] = "begin with";
-$lang['g003_typeCIfNotBeginWith'] = "don't begin with";
+$lang['g003_typeCIfNotBeginWith'] = "does not begin with";
 $lang['g003_typeCIfEndWith'] = "end with";
-$lang['g003_typeCIfNotEndWith'] = "don't end with";
-$lang['g003_conditionIf'] = "Test if the metadata value";
-
-$lang['g003_invalidId'] = "Metadata ID isn\'t valid";
-$lang['g003_oneRuleIsNeeded'] = "At least, one rule is mandatory";
-$lang['g003_textRuleInvalid'] = "Rule of type \"Text\" : a value is mandatory";
-$lang['g003_metadataRuleInvalid'] = "Rule of type \"Metadata\" : a metadata must be selected";
-$lang['g003_conditionMdRuleInvalid'] = "Règle of type \"Condition\" : a metadata must be selected";
-$lang['g003_conditionRulesRuleInvalid'] = "Règle of type \"Condition\" : a least, one rule is mandatory";
-
-$lang['g003_tagIdAlreadyExist'] = "A metadata with this ID already exists !";
-
-$lang['g003_pleaseConfirmMetadataDelete'] = "Please confirm deleting the metadata";
-$lang['g003_deleteMetadata'] = "Deleting a metadata";
+$lang['g003_typeCIfNotEndWith'] = "does not end with";
+$lang['g003_conditionIf'] = "Test if the metadata";
+
+$lang['g003_invalidId'] = "The identifier of the metadata is not valid";
+$lang['g003_oneRuleIsNeeded'] = "There must be at least one rule";
+$lang['g003_textRuleInvalid'] = "Rule of type \"Text\": the text must not be empty";
+$lang['g003_metadataRuleInvalid'] = "Rule of type \"Metadata\": a metadata must be selected";
+$lang['g003_conditionMdRuleInvalid'] = "Rule of type \"Condition\": a metadata must be selected";
+$lang['g003_conditionRulesRuleInvalid'] = "Rule of type \"Condition\": there must be at least one rule";
+
+$lang['g003_tagIdAlreadyExist'] = "A metadata with this identifier already exists !";
+
+$lang['g003_pleaseConfirmMetadataDelete'] = "Do you confirm the metadata deletion ?";
+$lang['g003_deleteMetadata'] = "Deleting the metadata";
 $lang['g003_delete']= "Delete";
 
-$lang['g003_userDefined_filter'] = "User defined metadata";
+$lang['g003_userDefined_filter'] = "Custom metadata";
 
 $lang['g003_informations'] = "Informations";
-$lang['g003_databaseInformation'] = "Informations importantes à propos du référentiel";
-$lang['g003_databaseWarning1']="[p]Le référentiel est constitué des métadonnées contenues dans les images de la galerie ainsi que de métadonnées calculées par le plugin. En fonction du nombre d'images et du nombre de métadonnées y étant rattachées, le référentiel peut s'avérer être très volumineux.
-Avant d'alimenter le référentiel, assurez-vous que la base de données proposée par votre hébergeur permet ce type d'usage.
-[/p][p]Il est toutefois à noter que l'usage du référentiel est facultatif, ce dernier n'étant pas exploité pour l'affichage des métadonnées des photos de la galerie.
-[/p][p]L'alimentation du référentiel est nécessaire si vous souhaitez :[/p]
-[ul]
-[li]Disposer de statistiques sur les métadonnées présentes dans vos photos (c'est aussi une aide pour la sélection de métadonnées)[/li]
-[li]Disposer du moteur de recherche[/li]
+$lang['g003_databaseInformation'] = "Important information about the repository";
+$lang['g003_databaseWarning1']="[p]The repository is built using the metadata contained in images from the gallery as well as metadata calculated by the plugin. Depending on the number of images and the number of metadata to be attached, the repository can be very large.
+Before powering up the repository, make sure that the database provided by your host allows this type of use.
+[/p][p]It should be noted however that the use of the repository is optional, it is not used for displaying metadata for photos in the gallery.
+[/p][p]The filling of the repository is necessary if you wish:[/p]
+[ul]
+[li]Have statistics on the metadata in your photos (it also help in the selection of metadata)[/li]
+[li]Use the search engine[/li]
 [/ul]
 ";
-$lang['g003_sizeAndRows'] = "The database weight do %s and have %s metadata";
+$lang['g003_sizeAndRows'] = "The weight of the repository is %s and it contains %s metadata";
 $lang['g003_numberOfAnalyzedPictures'] = "%d images were analyzed";
 
 $lang['g003_options'] = "Options";
-$lang['g003_fillDatabaseContinuously'] = "Fill the database continuously";
-$lang['g003_ignoreMetadata'] = "Ignore the metadata :";
-
-$lang['g003_analyze_analyzed_pictures'] = "Analyze is made only on pictures already analyzed";
-$lang['g003_fillDatabaseIgnoreWarning'] = "To be applied, the modified settings needs to made a new database analyze";
+$lang['g003_fillDatabaseContinuously'] = "Fill the repository continuously";
+$lang['g003_ignoreMetadata'] = "Ignore the following metadata:";
+
+$lang['g003_analyze_analyzed_pictures'] = "The analysis covers only the images that have already been analyzed";
+$lang['g003_fillDatabaseIgnoreWarning'] = "To be applied, modifying the parameters of this option requires a new analysis";
 
 
 $lang['g003_add_metadata'] = "Add a metadata";
 
-$lang['g003_choose_a_metadata'] = "Search on a metadata value";
-$lang['g003_add'] = "Ajouter";
-$lang['g003_metadata_value_check_one'] = "Au moins une des valeurs suivantes doit être vérifiée :";
-$lang['g003_metadata_value_check_all'] = "Toutes les valeurs suivantes doivent être vérifiées :";
-
-$lang['g003_metadata_exists']="La métadonnée %s est présente";
-$lang['g003_metadata_dont_exists']="La métadonnée %s n'est pas présente";
-$lang['g003_metadata_equals_all']="La métadonnée %s est présente et est égale à l\'une des valeurs suivantes :";
-$lang['g003_metadata_equals_one']="La métadonnée %s est présente et est égale à la valeur suivante :";
-$lang['g003_metadata_not_equals_all']="La métadonnée %s est présente et n'est égale à aucune des valeurs suivantes :";
-$lang['g003_metadata_not_equals_one']="La métadonnée %s est présente et n'est pas égale à la valeur suivante :";
-$lang['g003_metadata_like_all']="La métadonnée %s est présente et contient l\'une des valeurs suivantes :";
-$lang['g003_metadata_like_one']="La métadonnée %s est présente et contient la valeur suivante :";
-$lang['g003_metadata_not_like_all']="La métadonnée %s est présente et ne contient aucune des valeurs suivantes :";
-$lang['g003_metadata_not_like_one']="La métadonnée %s est présente et n'est contient pas la valeur suivante :";
-$lang['g003_metadata_begin_all']="La métadonnée %s est présente et commence par l\'une des valeurs suivantes :";
-$lang['g003_metadata_begin_one']="La métadonnée %s est présente et commence par la valeur suivante :";
-$lang['g003_metadata_not_begin_all']="La métadonnée %s est présente et ne commence pas par l\'une des valeurs suivantes :";
-$lang['g003_metadata_not_begin_one']="La métadonnée %s est présente et ne commence pas par la valeur suivante :";
-$lang['g003_metadata_end_all']="La métadonnée %s est présente et finit par l\'une des valeurs suivantes :";
-$lang['g003_metadata_end_one']="La métadonnée %s est présente et finit par la valeur suivante :";
-$lang['g003_metadata_not_end_all']="La métadonnée %s est présente et ne finit pas par l\'une des valeurs suivantes :";
-$lang['g003_metadata_not_end_one']="La métadonnée %s est présente et ne finit pas par la valeur suivante :";
-
-$lang['g003_value_already_set'] = "La valeur est déjà définie dans le domaine de valeurs";
-$lang['g003_please_set_a_value'] = "Merci de définir une valeur";
+$lang['g003_choose_a_metadata'] = "Perform a search on the value of a metadata";
+$lang['g003_add'] = "Add";
+$lang['g003_metadata_value_check_one'] = "At least one of the following must be true:";
+$lang['g003_metadata_value_check_all'] = "All values have to be true:";
+
+$lang['g003_metadata_exists']="Metadata %s is present";
+$lang['g003_metadata_dont_exists']="Metadata %s is not present";
+$lang['g003_metadata_equals_all']="Metadata %s is present and is equal to the one of the following value:";
+$lang['g003_metadata_equals_one']="Metadata %s is present and is equal to:";
+$lang['g003_metadata_not_equals_all']="Metadata %s is present and must not be equal to any of the following value:";
+$lang['g003_metadata_not_equals_one']="Metadata %s is present and must not be equal to:";
+$lang['g003_metadata_like_all']="Metadata %s is present and must contain the one of the following value:";
+$lang['g003_metadata_like_one']="Metadata %s is present and must contain:";
+$lang['g003_metadata_not_like_all']="Metadata %s is present and must not contain any of the following value:";
+$lang['g003_metadata_not_like_one']="Metadata %s is present and must not contain:";
+$lang['g003_metadata_begin_all']="Metadata %s is present and must begin with any of the following value:";
+$lang['g003_metadata_begin_one']="Metadata %s is present and must begin with:";
+$lang['g003_metadata_not_begin_all']="Metadata %s is present and must not begin with any of the following value:";
+$lang['g003_metadata_not_begin_one']="Metadata %s is present and must not begin with:";
+$lang['g003_metadata_end_all']="Metadata %s is present and must end with any of the following value:";
+$lang['g003_metadata_end_one']="Metadata %s is present and must end with:";
+$lang['g003_metadata_not_end_all']="Metadata %s is present and must not end with any of the following value:";
+$lang['g003_metadata_not_end_one']="Metadata %s is present and must not end with:";
+
+$lang['g003_value_already_set'] = "The value is already defined in the domain of values";
+$lang['g003_please_set_a_value'] = "Please, set a value";
 
 
@@ -274,18 +269,59 @@
 $lang['g003_basic_mode']="Basic";
 $lang['g003_advanced_mode']="Advanced";
-$lang['g003_validate']="Validate";
-$lang['g003_step_1']="Choix du type d'usage du plugin";
+$lang['g003_validate']="OK";
+$lang['g003_step_1']="Choice of use of the plugin";
 $lang['g003_basic_mode_help']="
-Le mode [i]basique[/i] s'adresse à ceux qui souhaitent simplement afficher les métadonnées de leurs photos et propose :[ul]
-[li]une interface simplifiée au maximum[/li]
-[li]une liste réduite de métadonnées (environ 140, dont les plus courantes)[/li]
+The [i]basic[/i] mode is for those who simply want to display the metadata of their photos and offers:[ul]
+[li]an interface as simple as possible[/li]
+[li]a short list of metadata (about 140, the most common)[/li]
 [/ul]";
 $lang['g003_advanced_mode_help']="
-Le mode [i]avancé[/i] s'adresse à ceux qui souhaitent exploiter au maximum les métadonnées de leurs photos et propose :[ul]
-[li]une interface plus complexe, mais complète[/li]
-[li]une liste de métadonnées plus complète (environ 540)[/li]
-[li]des fonctionnalités étendues (statistiques, recherche, ...)[/li]
-[/ul]
-Le mode [i]avancé[/i] nécessite la constitution d'un référentiel.";
+The [i]advanced[/i] mode is for those who wish to make maximum use of their photos and metadata offers:[ul]
+[li]an interface more complex, but complete[/li]
+[li]a complete list of metadata (about 540)[/li]
+[li]extended functionalities (statistics, search ...)[/li]
+[/ul]
+The [i]advanced[/i] mode requires to built a repository.";
+
+
+$lang['g003_tags']="Tags";
+$lang['g003_number_of_keywords']="Number of keywords:";
+$lang['g003_keyword']="Keyword";
+$lang['g003_tag_in_piwigo']="Present in Piwigo";
+$lang['g003_num_of_pictures']="Number of photos";
+$lang['g003_num_of_pictures_already_tagged']="Number of photos already tagged";
+$lang['g003_convert_ok']="The conversion was done correctly";
+$lang['g003_convert_keywords_and_apply']="Convert";
+$lang['g003_no_keywords']="No keyword that can be converted has been found";
+
+
+$lang['g003_tags_page_help']="This feature performs an extraction of keywords present in the metadata for your photos and allows you to convert [i]Tags[/i].
+The images for which keywords have already been converted and associates do not appear: only the keywords of images for which a conversion and a possible association are proposed.";
+
+$lang['g003_search_page_help']="It is possible to perform various searches on the metadata content, from simple to complex: add criteria, and combine them using drag and drop.";
+
+$lang['g003_personnal_page_help']="You can easily build your own metadata from existing metadata.
+[ul]
+[li]Add a new metadata[/li]
+[li]Fill properties[/li]
+[li]Add rules and combine them if necessary by drag'n'drop[/li]
+[/ul]";
+
+$lang['g003_select_page_help']="Only metadata selected here are available in other interfaces configuration: this allows to reduce the list of metadata to those that seem most relevant to your use.
+The selection is applied immediately (it is not necessary to validate).";
+
+
+$lang['g003_display_page_help']="The metadata posted with the photo can be sorted and grouped.
+By default, only the group [i]".$Lang['g003_default_group_name']."[/i] is available, but it is possible to create as many as necessary ([i]IPTC[/i], [i]Geolocation[/i], ...).
+[ul]
+[li]Create groups of metadata according to your needs[/li]
+[li]Add the metadata to display[/li]
+[li]Within a group, sort the display order of metadata by drag'n'drop[/li]
+[li]Sort the display order of groups by drag'n'drop[/li]
+[/ul]
+Selection and sorting are applied immediately (it is not necessary to validate).";
+
+$lang['g003_gpc_not_up_to_date']="It is necessary for the plugin that the <i>Grum Plugin Classes</i> version %s is installed.
+Currently, version %s is installed: please proceed with the update version of the plugin <i>Grum Plugin Classes</i>.";
 
 