Index: /extensions/rv_akismet/language/de_DE/description.txt
===================================================================
--- /extensions/rv_akismet/language/de_DE/description.txt	(revision 7039)
+++ /extensions/rv_akismet/language/de_DE/description.txt	(revision 7039)
@@ -0,0 +1,1 @@
+Nimmt gebrauch von Aksimet Online-Service um Kommentare auf Spam zu überprüfen.
Index: /extensions/rv_akismet/language/de_DE/index.php
===================================================================
--- /extensions/rv_akismet/language/de_DE/index.php	(revision 7039)
+++ /extensions/rv_akismet/language/de_DE/index.php	(revision 7039)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/rv_akismet/language/de_DE/plugin.lang.php
===================================================================
--- /extensions/rv_akismet/language/de_DE/plugin.lang.php	(revision 7039)
+++ /extensions/rv_akismet/language/de_DE/plugin.lang.php	(revision 7039)
@@ -0,0 +1,26 @@
+<?php
+
+//admin.tpl
+$lang['This plugin verifies if your comments are spam using the <a href="http://www.akismet.com" target="_blank">akismet online service'] = 'Dieses Plugin prüft, ob Ihre Kommentare Spam sind durch die Verwendung des <a href="http://www.akismet.com" target="_blank"> Akismet Online-Service';
+$lang['Akismet has caught'] = 'Akismet hat gefunden';
+$lang['spam comments'] = 'Spam-Kommentare';
+$lang['out of'] = 'aus';
+$lang['comments'] = 'Kommentare';
+$lang['reset counters'] = 'Zähler zurücksetzen';
+$lang['More statistics on'] = 'Weitere Statistiken über';
+$lang['akismet site'] = 'akismet Seite';
+$lang['Akismet configuration'] = 'Akismet Konfiguration';
+$lang['Akismet API Key:'] = 'Akismet API Key:';
+$lang['Signup for a personal usage key here:'] = 'Hier, für einen persönlichen Gebrauchskey anmelden:';
+$lang['Action when spam is detected:'] = 'Aktion bei einem Spambefund:';
+$lang['moderate'] = 'einschränken';
+$lang['reject'] = 'ablehnen';
+$lang['Test your configuration'] = 'Testen Sie Ihre Konfiguration';
+
+
+//maintain.inc.php
+$lang['You need to define the Akismet api key'] = 'Sie müssen den Akismet API-Key definieren';
+
+//akismet.class.php
+$lang['Your Akismet API key is not valid.'] = 'Ihr Akismet API-Key ist nicht gültig.';
+?>
Index: /extensions/rv_akismet/language/it_IT/description.txt
===================================================================
--- /extensions/rv_akismet/language/it_IT/description.txt	(revision 7039)
+++ /extensions/rv_akismet/language/it_IT/description.txt	(revision 7039)
@@ -0,0 +1,1 @@
+Utilizza Akismet servizio online per verificare i commenti contro gli spam
Index: /extensions/rv_akismet/language/it_IT/index.php
===================================================================
--- /extensions/rv_akismet/language/it_IT/index.php	(revision 7039)
+++ /extensions/rv_akismet/language/it_IT/index.php	(revision 7039)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/rv_akismet/language/it_IT/plugin.lang.php
===================================================================
--- /extensions/rv_akismet/language/it_IT/plugin.lang.php	(revision 7039)
+++ /extensions/rv_akismet/language/it_IT/plugin.lang.php	(revision 7039)
@@ -0,0 +1,26 @@
+<?php
+
+//admin.tpl
+$lang['This plugin verifies if your comments are spam using the <a href="http://www.akismet.com" target="_blank">akismet online service'] = 'Questo plugin verifica se i vostri commenti sono spam utilizzando il target="_blank"> <a href="http://www.akismet.com" Akismet servizio online';
+$lang['Akismet has caught'] = 'Akismet ha trovato';
+$lang['spam comments'] = 'commenti con spam';
+$lang['out of'] = 'su';
+$lang['comments'] = 'commenti';
+$lang['reset counters'] = 'Azzerare i contatori';
+$lang['More statistics on'] = 'Ulteriori statistiche sul';
+$lang['akismet site'] = 'sito di akismet';
+$lang['Akismet configuration'] = 'Akismet configurazione';
+$lang['Akismet API Key:'] = 'Akismet API Key:';
+$lang['Signup for a personal usage key here:'] = 'Registratevi per un key personale qui:';
+$lang['Action when spam is detected:'] = 'Azione quando viene rilevato uno spam:';
+$lang['moderate'] = 'moderare';
+$lang['reject'] = 'scartare';
+$lang['Test your configuration'] = 'Verificare la configurazione';
+
+
+//maintain.inc.php
+$lang['You need to define the Akismet api key'] = 'È necessario definire il Key API Akismet';
+
+//akismet.class.php
+$lang['Your Akismet API key is not valid.'] = 'Il vostro Akismet API key non è valido.';
+?>