Index: /extensions/PWG_Stuffs/language/sk_SK/description.txt
===================================================================
--- /extensions/PWG_Stuffs/language/sk_SK/description.txt	(revision 7042)
+++ /extensions/PWG_Stuffs/language/sk_SK/description.txt	(revision 7042)
@@ -0,0 +1,1 @@
+Vloženie modulov do Vašej galérie
Index: /extensions/PWG_Stuffs/language/sk_SK/index.php
===================================================================
--- /extensions/PWG_Stuffs/language/sk_SK/index.php	(revision 7042)
+++ /extensions/PWG_Stuffs/language/sk_SK/index.php	(revision 7042)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id$
+// | last update   : $Date$
+// | last modifier : $Author$
+// | revision      : $Revision$
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/PWG_Stuffs/language/sk_SK/plugin.lang.php
===================================================================
--- /extensions/PWG_Stuffs/language/sk_SK/plugin.lang.php	(revision 7042)
+++ /extensions/PWG_Stuffs/language/sk_SK/plugin.lang.php	(revision 7042)
@@ -0,0 +1,163 @@
+<?php
+
+$lang['stuffs_mods_management'] = 'Manažment modulov';
+$lang['stuffs_add_mod'] = 'Pridať modul';
+$lang['stuffs_edit_mod'] = 'Editovať modul';
+
+$lang['stuffs_module_title'] = 'Názov modulu';
+$lang['stuffs_desc'] = 'Popis';
+$lang['stuffs_only_for_admin'] = '(len pre panel administrátora)';
+$lang['stuffs_type'] = 'Typ modulu';
+$lang['stuffs_position'] = 'Pozícia';
+$lang['stuffs_id_ligne'] = 'ID linka';
+$lang['stuffs_width'] = 'Šírka';
+$lang['stuffs_action'] = 'Akcie';
+$lang['stuffs_edit'] = 'Upraviť modul';
+$lang['stuffs_delete'] = 'Vymazať modul';
+$lang['stuffs_confirm_delete'] = 'Ste si istý, že chcete vymazať modul %s?';
+$lang['stuffs_main_block'] = 'Hlavná skupina';
+
+$lang['stuffs_add_module'] = 'Pridaj nový modul';
+$lang['stuffs_module_config'] = 'Konfigurácia modulu';
+$lang['stuffs_visual_config'] = 'Zobraz konfiguráciu';
+$lang['stuffs_module_options'] = 'Možnosti modulu';
+$lang['stuffs_authorized_group'] = 'Autorizované skupiny';
+$lang['stuffs_authorized_users'] = 'Autorizovaný používatelia';
+$lang['stuffs_public_module'] = '(Ponechať prázdne pre verejný modul)';
+$lang['stuffs_show_title'] = 'Zobraz názov modulu';
+$lang['stuffs_show_module_on'] = 'Zobraz modul :';
+$lang['stuffs_show_on_home'] = 'Na hlavnej stránke';
+$lang['stuffs_show_on_cats'] = 'Na všetkých stránkach kategórií';
+$lang['stuffs_show_on_pictures'] = 'Na stránkach fotografií';
+$lang['stuffs_no_options'] = 'Žiadne možnosti pre tento modul';
+
+//Messages d'infos
+$lang['stuffs_order_saved'] = 'Poradie úspešne uložené.';
+
+
+// Messages d'erreurs
+$lang['stuffs_error_no_mod_selected'] = 'Neoznačili ste žiaden modul.';
+$lang['stuffs_no_name'] = 'Musíte určiť názov modulu';
+
+//------------------------------------------------------------------------------
+//                            Module LastComs
+//------------------------------------------------------------------------------
+
+$lang['module_name_lastcoms'] = 'Posledné komentáre';
+$lang['module_desc_lastcoms'] = 'Zobraziť posledné poslané komentáre';
+
+$lang['lastcoms_no_nb_comments'] = 'Musíte určiť počet komentárov.';
+$lang['lastcoms_config'] = 'Konfigurácia';
+$lang['lastcoms_nb_comments'] = 'Počet zobrazených komentárov';
+$lang['lastcoms_show_buttons'] = 'Ukázať administrátorské tlačidlá';
+$lang['lastcoms_dim'] = 'Veľkosť náhľadov';
+$lang['lastcoms_width'] = 'Max výška';
+$lang['lastcoms_height'] = 'Max šírka';
+$lang['lastcoms_nb_cadres'] = 'Počet stĺpcov';
+$lang['lastcoms_taille_cadres'] = 'Výška stĺpca';
+
+
+//------------------------------------------------------------------------------
+//                            Module Logon
+//------------------------------------------------------------------------------
+
+$lang['module_name_logon'] = 'Prihlasovacie meno';
+$lang['module_desc_logon'] = 'Zobraziť prihlasovací blok';
+
+$lang['logon_remove_menubar_block'] = 'Odstrániť blok "Rýchle pripojenie" z menu';
+
+
+//------------------------------------------------------------------------------
+//                            Module Personal
+//------------------------------------------------------------------------------
+
+$lang['module_name_personal'] = 'Osobný blok';
+$lang['module_desc_personal'] = 'Zobraziť osobný blok (osožný na editáciu)';
+
+$lang['personal_content'] = 'obsah';
+
+
+//------------------------------------------------------------------------------
+//                            Module Tags
+//------------------------------------------------------------------------------
+
+$lang['module_name_tags'] = 'Kľúčové slová';
+$lang['module_desc_tags'] = 'Zobraziť kľúčové slová galérie';
+
+$lang['stuffs_tags_default_display'] = 'Zobraziť kľúčové slová';
+$lang['stuffs_tags_cloud'] = 'Mračno kľúčových slov';
+$lang['stuffs_tags_letters'] = 'Zoskupiť podľa písmen';
+$lang['stuffs_tags_cumulus'] = 'Použiť kumulus mód (plugin <a href=http://piwigo.org/ext/extension_view.php?eid=263 target="_blank">Cumulus Tags Cloud</a> musí byť nainštalovaný)';
+
+
+//------------------------------------------------------------------------------
+//                            Module Piclenswall
+//------------------------------------------------------------------------------
+
+$lang['module_name_piclenswall'] = 'Piclens 3DWall';
+$lang['module_desc_piclenswall'] = 'Zobraziť piclens 3D wall (plugin <a href="http://piwigo.org/ext/extension_view.php?eid=234" target="_blank">Cooliris/piclens</a> musí byť nainštalovaný)';
+
+$lang['piclenswall_height'] = 'Výška steny';
+$lang['piclenswall_background_color'] = 'Farba pozadia';
+$lang['piclenswall_black'] = 'Čierna';
+$lang['piclenswall_white'] = 'Biela';
+$lang['piclenswall_info'] = 'A tak je stena poriadne pracujúca';
+$lang['piclenswall_info_piclens'] = 'Musíte nainštalovať a aktivovať <a href="http://piwigo.org/ext/extension_view.php?eid=234">Cooliris/piclens</a> plugin.';
+$lang['piclenswall_info_crossdomain'] = 'Musíte skopírovať <a href="%s">crossdomain.xml</a> súbor do rootu Vašej stránky (alebo upraviť existujúci súbor).';
+$lang['piclenswall_info_param'] = '3D Wall nastavenia musia byť upravené na konfiguračnej stránek pluginu <b>Cooliris-piclens/b>.';
+
+//------------------------------------------------------------------------------
+//                            Module Most Visited
+//------------------------------------------------------------------------------
+
+$lang['module_name_mostvisited'] = 'Najviac navštevované';
+$lang['module_desc_mostvisited'] = 'Zobraziť x najviac navštívených fotiek v galérii alebo kategórii';
+
+$lang['stuffs_mv_nb_images'] = 'Maximálny počet zobrazených fotiek';
+$lang['stuffs_mv_category_display'] = 'Zobraziť na stránke kategórií';
+$lang['stuffs_mv_all_cats'] = 'Všetky kategórie';
+$lang['stuffs_mv_w_thumb'] = 'Len kategórie s náhľadmi';
+$lang['stuffs_mv_wo_thumb'] = 'Len kategórie bez náhľadov';
+$lang['stuffs_mv_selected_cats'] = 'Len vybrané kategórie';
+
+$lang['stuffs_mv_cat_selection'] = 'Výber kategórií';
+$lang['stuffs_mv_hold_ctrl'] = 'držte CTRL';
+
+//------------------------------------------------------------------------------
+//                            Module Best Rated
+//------------------------------------------------------------------------------
+
+$lang['module_name_bestrated'] = 'Najlepšie hodnotené';
+$lang['module_desc_bestrated'] = 'Zobraziť x najlepšie hodnotených fotografií v galérii alebo kategórii';
+
+//------------------------------------------------------------------------------
+//                            Module Recent
+//------------------------------------------------------------------------------
+
+$lang['module_name_recent'] = 'Nedávno pridané fotografie';
+$lang['module_desc_recent'] = 'Zobraziť x nedávno pridaných fotografií v galérii alebo kategórii (ak existujú)';
+
+//------------------------------------------------------------------------------
+//                            Module Random
+//------------------------------------------------------------------------------
+
+$lang['module_name_random'] = 'Náhodné fotografie';
+$lang['module_desc_random'] = 'Zobraziť x náhodných fotografií v galérii alebo kategórii';
+
+//------------------------------------------------------------------------------
+//                            Module Citation
+//------------------------------------------------------------------------------
+
+$lang['module_name_citation'] = 'Náhodné citácie';
+$lang['module_desc_citation'] = 'Zobraziť náhodné citácie';
+$lang['module_Citation_lang'] = 'Jazyk';
+$lang['module_Citation_code'] = 'Súvisiaci kód';
+
+//------------------------------------------------------------------------------
+//                            Module Featured Photos
+//------------------------------------------------------------------------------
+
+$lang['module_name_featuredphotos'] = 'Hlavné fotografie';
+$lang['module_desc_featuredphotos'] = 'Zobraziť obľúbené fotografie webmastera';
+
+?>