Index: extensions/Mail_supervisor/admin/mail_superv_admin.php
===================================================================
--- extensions/Mail_supervisor/admin/mail_superv_admin.php	(revision 5670)
+++ extensions/Mail_supervisor/admin/mail_superv_admin.php	(revision 7050)
@@ -29,5 +29,5 @@
 if (!defined('MAIL_SUPERV_PATH')) define('MAIL_SUPERV_PATH' , PHPWG_PLUGINS_PATH.basename(dirname(__FILE__)).'/');
 
-global $user, $lang, $conf, $errors,$mails_données;
+global $user, $lang, $conf, $errors,$mails_donnees;
 global $args, $conf_mail,$infos_message,$erreur_message,$mails_options ;
 // +-----------------------------------------------------------------------+
@@ -134,5 +134,5 @@
 		if (!isset($mails_options[check_mailto])) $mails_options[check_mailto] = 'off' ;  //0
 //================================================================================================		
-$mails_données = Get_Datas();
+$mails_donnees = Get_Datas();
 
 
@@ -147,5 +147,5 @@
 	
 // *************************************************************************
-// |                          Sélection de l'onglet                        |
+// |                          Selection de l'onglet                        |
 // *************************************************************************
 
@@ -185,17 +185,17 @@
 	if ( $_POST['submit'] == l10n('Sv_refresh')   ) {
    	 	
-	if ($mails_données['nb_mails'] == 0 )  
-	    $mails_données['date_mail'] = time();	
-	
-	if ($mails_données['nb_spams'] == 0 )
-	   $mails_données['date_spam'] = time();
-	
-	
-	if ($mails_données['quarantaine'] == false)
-	{ $mails_données['reste'] = 0;
-	  $mails_données['date_quarantaine']=time();
+	if ($mails_donnees['nb_mails'] == 0 )  
+	    $mails_donnees['date_mail'] = time();	
+	
+	if ($mails_donnees['nb_spams'] == 0 )
+	   $mails_donnees['date_spam'] = time();
+	
+	
+	if ($mails_donnees['quarantaine'] == false)
+	{ $mails_donnees['reste'] = 0;
+	  $mails_donnees['date_quarantaine']=time();
 	 }
 	 $infos_message .=  l10n('Sv_refresh') .'<br />';
-     sauve_données();
+     sauve_donnees();
  	 $aff_nb = false ;
  
@@ -205,14 +205,14 @@
 	if ( $_POST['submit'] == l10n('Sv_raz')   ) {
 
-	$mails_données['date_quarantaine']=time();
-	$mails_données['nb_mails'] = 0  ;
-	$mails_données['nb_spams'] = 0  ;
-	$mails_données['date_mail'] = time();
-	$mails_données['date_spam'] = time();
-	
-	$mails_données['reste'] = 0;
-	$mails_données['quarantaine']='false';
-	
-     sauve_données();
+	$mails_donnees['date_quarantaine']=time();
+	$mails_donnees['nb_mails'] = 0  ;
+	$mails_donnees['nb_spams'] = 0  ;
+	$mails_donnees['date_mail'] = time();
+	$mails_donnees['date_spam'] = time();
+	
+	$mails_donnees['reste'] = 0;
+	$mails_donnees['quarantaine']='false';
+	
+     sauve_donnees();
 	 $infos_message .=  l10n('Sv_raz') .'<br />'; ;
 	
@@ -226,34 +226,34 @@
   		$mails_options[check_header_text] = isset($_POST['check_header_text']) ? $_POST['check_header_text'] : 'off' ;     
   
-		//données  
-		$mails_données['nb_mails_maxi'] = isset($_POST['nb_mails_maxi']) ? $_POST['nb_mails_maxi'] :  $mails_données['nb_mails_maxi']  ;
-		$mails_données['nb_mails_periode'] = isset($_POST['nb_mails_periode']) ? $_POST['nb_mails_periode'] :  $mails_données['nb_mails_periode']  ;  
-		$mails_données['nb_spams_maxi'] = isset($_POST['nb_spams_maxi']) ? $_POST['nb_spams_maxi'] :  $mails_données['nb_spams_maxi']  ;
-		$mails_données['nb_spams_periode'] = isset($_POST['nb_spams_periode']) ? $_POST['nb_spams_periode'] :  $mails_données['nb_spams_periode']  ;
-
-		$mails_données['quarantaine_periode'] = isset($_POST['quarantaine_periode']) ? $_POST['quarantaine_periode'] :  $mails_données['quarantaine_periode']  ;
- 
-			$mails_données['message'] = isset($_POST['content']) ? $_POST['content'] :  $mails_données['message']  ;
-			$mails_données['header_text'] = isset($_POST['header_text']) ? $_POST['header_text'] :  $mails_données['header_text']  ;
+		//donnees  
+		$mails_donnees['nb_mails_maxi'] = isset($_POST['nb_mails_maxi']) ? $_POST['nb_mails_maxi'] :  $mails_donnees['nb_mails_maxi']  ;
+		$mails_donnees['nb_mails_periode'] = isset($_POST['nb_mails_periode']) ? $_POST['nb_mails_periode'] :  $mails_donnees['nb_mails_periode']  ;  
+		$mails_donnees['nb_spams_maxi'] = isset($_POST['nb_spams_maxi']) ? $_POST['nb_spams_maxi'] :  $mails_donnees['nb_spams_maxi']  ;
+		$mails_donnees['nb_spams_periode'] = isset($_POST['nb_spams_periode']) ? $_POST['nb_spams_periode'] :  $mails_donnees['nb_spams_periode']  ;
+
+		$mails_donnees['quarantaine_periode'] = isset($_POST['quarantaine_periode']) ? $_POST['quarantaine_periode'] :  $mails_donnees['quarantaine_periode']  ;
+ 
+			$mails_donnees['message'] = isset($_POST['content']) ? $_POST['content'] :  $mails_donnees['message']  ;
+			$mails_donnees['header_text'] = isset($_POST['header_text']) ? $_POST['header_text'] :  $mails_donnees['header_text']  ;
  //=======================================================================================================
-	 		vérif_mails_données();
+	 		verif_mails_donnees();
 		 	sauve_options();
-         	sauve_données();
+         	sauve_donnees();
 //=======================================================================================================
 			$infos_message  =  l10n('Sv_save_config') . " : " . l10n('Sv_Datas') . "<br />" ;
 			$erreur_message = "";
-			$mails_données = Get_Datas() ;
+			$mails_donnees = Get_Datas() ;
    			}
        }
 	
-	$mails_données = Get_Datas();
-    vérif_mails_données();
+	$mails_donnees = Get_Datas();
+    verif_mails_donnees();
 //===============================================================================
  
-	$rest_mail= $mails_données['rest_mail'];  	
- 	$rest_spam= $mails_données['rest_spam'];  	
-    $reste= $mails_données['reste'];  	
-
-$quarantaine = ($mails_données['quarantaine'] == 'true') ? true : false ;	
+	$rest_mail= $mails_donnees['rest_mail'];  	
+ 	$rest_spam= $mails_donnees['rest_spam'];  	
+    $reste= $mails_donnees['reste'];  	
+
+$quarantaine = ($mails_donnees['quarantaine'] == 'true') ? true : false ;	
 
 $template->assign(
@@ -264,23 +264,23 @@
 
    
-   	'nb_mails' => $mails_données['nb_mails'] ,
-   	'date_mail' => "'".date(l10n('Sv_formatdate'),$mails_données['date_mail'])."'" ,
-   	'nb_mails_maxi' => $mails_données['nb_mails_maxi'] ,	
-	'nb_mails_periode' => "'". int_to_heure($mails_données['nb_mails_periode'])."'" ,	
+   	'nb_mails' => $mails_donnees['nb_mails'] ,
+   	'date_mail' => "'".date(l10n('Sv_formatdate'),$mails_donnees['date_mail'])."'" ,
+   	'nb_mails_maxi' => $mails_donnees['nb_mails_maxi'] ,	
+	'nb_mails_periode' => "'". int_to_heure($mails_donnees['nb_mails_periode'])."'" ,	
  	'time_mails_reste' => "'".int_to_heure( $rest_mail )."'" ,	
 	
-  	'nb_spams' => $mails_données['nb_spams'] ,
-	'date_spam' => "'".date(l10n('Sv_formatdate'),$mails_données['date_spam'])."'" ,
-	'nb_spams_maxi' => $mails_données['nb_spams_maxi'] ,	
-	 'nb_spams_periode' => "'".int_to_heure($mails_données['nb_spams_periode'])."'" ,
+  	'nb_spams' => $mails_donnees['nb_spams'] ,
+	'date_spam' => "'".date(l10n('Sv_formatdate'),$mails_donnees['date_spam'])."'" ,
+	'nb_spams_maxi' => $mails_donnees['nb_spams_maxi'] ,	
+	 'nb_spams_periode' => "'".int_to_heure($mails_donnees['nb_spams_periode'])."'" ,
 	 'time_spams_reste' => "'".int_to_heure($rest_spam)."'" ,	
 	 
 	 'quarantaine' => $quarantaine ,
   	'date_quarantaine' => "'".date(l10n('Sv_formatdate'),time()+$reste)."'" ,
-	'quarantaine_periode' => "'".int_to_heure($mails_données['quarantaine_periode'])."'" ,
+	'quarantaine_periode' => "'".int_to_heure($mails_donnees['quarantaine_periode'])."'" ,
      'reste' => "'".int_to_heure($reste)."'",
  
-    'message' => $mails_données['message'] ,
-	'header_text' => "'".$mails_données['header_text']."'" ,
+    'message' => $mails_donnees['message'] ,
+	'header_text' => "'".$mails_donnees['header_text']."'" ,
 	
     'PHPWG_VERSION' =>	 PHPWG_VERSION ,
@@ -303,5 +303,5 @@
    case 'mail_superv_test':
    
-   $mails_données = Get_Datas() ;
+   $mails_donnees = Get_Datas() ;
    	$group_id = isset($_POST['group']) ? $_POST['group'] :  '-1'  ;
 	if ($group_id >= 0) {
@@ -342,5 +342,5 @@
 $titre=$conf['gallery_title'];
 
-$message = empty($_POST['MAIL_CONTENT']) ? $mails_données['message_test'] : stripslashes($_POST['MAIL_CONTENT']);
+$message = empty($_POST['MAIL_CONTENT']) ? $mails_donnees['message_test'] : stripslashes($_POST['MAIL_CONTENT']);
 
  if (function_exists('get_user_language_desc') ) $message = get_user_language_desc($message);
@@ -360,8 +360,8 @@
 	
 
-$mails_données['message_test']= str_replace('"',"'",$message) ;
+$mails_donnees['message_test']= str_replace('"',"'",$message) ;
  unset_make_full_url();
-	sauve_données();
-$mails_données = Get_Datas() ;
+	sauve_donnees();
+$mails_donnees = Get_Datas() ;
 	
   $query = '
@@ -384,10 +384,10 @@
 //=====================================================================================
 if ( isset($_POST['test_envoie']) ) {
-$mails_données['message_test'] = empty($_POST['MAIL_CONTENT']) ? '' : stripslashes($_POST['MAIL_CONTENT']);
-		$message=$mails_données['message_test'];
+$mails_donnees['message_test'] = empty($_POST['MAIL_CONTENT']) ? '' : stripslashes($_POST['MAIL_CONTENT']);
+		$message=$mails_donnees['message_test'];
 //test_envoie($message,$group_name,$group_id); 
-		sauve_données();
+		sauve_donnees();
   
-		$mails_données = Get_Datas() ;
+		$mails_donnees = Get_Datas() ;
 		
   } 
@@ -421,8 +421,8 @@
   					array(
 				'Groupe'     => $groups,
-    			'message_test' => $mails_données['message_test'] ,
+    			'message_test' => $mails_donnees['message_test'] ,
 				'liste' => $destinataires ,
  'version' =>	 $version ,
-			    'MAIL_CONTENT' => $mails_données['message_test'],
+			    'MAIL_CONTENT' => $mails_donnees['message_test'],
 	            'path_js' => $path_js
 		 				)
@@ -582,34 +582,34 @@
 	   
 
-	if  ( $mails_données['reste'] < 0 ) {
-	    $mails_données['quarantaine'] =false ;
-	    $mails_données['date_quarantaine']= time()  ;	
-		$mails_données['nb_spams'] = 0 ;
+	if  ( $mails_donnees['reste'] < 0 ) {
+	    $mails_donnees['quarantaine'] =false ;
+	    $mails_donnees['date_quarantaine']= time()  ;	
+		$mails_donnees['nb_spams'] = 0 ;
 	    $modif == true ;
 	}
 	 
 	  
- 	$rest_mail =    $mails_données['rest_mail'] ;
-	if ($rest_mail <=0 || $mails_données['nb_mails'] ==0 ){
-	   $mails_données['nb_mails'] =0 ;
-	   $mails_données['date_mail'] = time();
+ 	$rest_mail =    $mails_donnees['rest_mail'] ;
+	if ($rest_mail <=0 || $mails_donnees['nb_mails'] ==0 ){
+	   $mails_donnees['nb_mails'] =0 ;
+	   $mails_donnees['date_mail'] = time();
 	   $modif = true ;
 	}
 	
-	$rest_spam =    $mails_données['rest_spam'] ;
-
- 	if ($rest_spam <=0 || $mails_données['nb_spams'] ==0 ){
-	   $mails_données['nb_spams'] =0 ;
-	   $mails_données['date_spam'] = time();
+	$rest_spam =    $mails_donnees['rest_spam'] ;
+
+ 	if ($rest_spam <=0 || $mails_donnees['nb_spams'] ==0 ){
+	   $mails_donnees['nb_spams'] =0 ;
+	   $mails_donnees['date_spam'] = time();
 	   $modif = true ;
 	}
 	if ( $modif == true ) 	{ 
-				sauve_données();
+				sauve_donnees();
  				$modif = false ;
  		}
 
 		if ($aff_nb == true) {
-		 $infos_message .= 'Mails    : '.$mails_données['nb_mails']. '  \\  ' . $mails_données['nb_mails_maxi'];
-		 $infos_message .= "\n".'Spams : '.$mails_données['nb_spams']. '  \\  ' . $mails_données['nb_spams_maxi'];
+		 $infos_message .= 'Mails    : '.$mails_donnees['nb_mails']. '  \\  ' . $mails_donnees['nb_mails_maxi'];
+		 $infos_message .= "\n".'Spams : '.$mails_donnees['nb_spams']. '  \\  ' . $mails_donnees['nb_spams_maxi'];
 		}
 		