Index: extensions/sobre/branches/1.3/admin/admin.css
===================================================================
--- extensions/sobre/branches/1.3/admin/admin.css	(revision 7062)
+++ extensions/sobre/branches/1.3/admin/admin.css	(revision 7062)
@@ -0,0 +1,8 @@
+#configContent FIELDSET {border:2px solid #777;}
+#configContent FIELDSET SELECT{margin-left:2.6%;}
+table#tips {border:1px solid;}
+table#tips .tn_dimensions {padding-right: 5px; text-align: right; font-weight:bold;}
+table#tips td.tn_width, table#tips td.tn_height {text-align:center;}
+table#tips tr#l1 {font-style:italic;}
+table#troncate {border:1px solid;}
+table#troncate {font-weight:bold;}
Index: extensions/sobre/branches/1.3/admin/admin.inc.php.bak
===================================================================
--- extensions/sobre/branches/1.3/admin/admin.inc.php.bak	(revision 7062)
+++ extensions/sobre/branches/1.3/admin/admin.inc.php.bak	(revision 7062)
@@ -0,0 +1,47 @@
+<?php
+
+/* Lecture du fichier de langue pour le thème */
+load_language('theme.lang', PHPWG_THEMES_PATH.'sobre/');
+
+$options = array(
+  'home',
+  'categories',
+  'picture',
+  'other',
+  'nbItemsMB',
+  'picture_width',
+  'picture_height',
+  'LMT-licence',
+  'troncate_picture_name',
+  'troncate_name_longer',
+  'StartOrEnd',
+  'Display_light_categories'
+);
+
+if (isset($_POST['submit']))
+{
+  foreach ($options as $option)
+  {
+    $_POST['sbre'][$option] = empty($_POST['sbre'][$option]) ? false : true;
+  }
+
+  $query = '
+UPDATE '.CONFIG_TABLE.'
+SET value = "'.addslashes(serialize($_POST['sbre'])).'"
+WHERE param = "Sobre"
+;';
+  pwg_query($query);
+
+  array_push($page['infos'], l10n('Information data registered in database'));
+
+  load_conf_from_db();
+}
+
+$template->set_filenames(array(
+    'theme_admin_content' => dirname(__FILE__) . '/admin.tpl'));
+
+$template->assign('sbre', unserialize($conf['Sobre']));
+
+$template->assign_var_from_handle('ADMIN_CONTENT', 'theme_admin_content');
+
+?>
Index: extensions/sobre/branches/1.3/admin/admin.tpl
===================================================================
--- extensions/sobre/branches/1.3/admin/admin.tpl	(revision 7062)
+++ extensions/sobre/branches/1.3/admin/admin.tpl	(revision 7062)
@@ -0,0 +1,104 @@
+<link rel="stylesheet" type="text/css" href="{$ROOT_URL}themes/sobre/admin/admin.css">
+
+<div class="titrePage">
+  <h2>{'Title theme'|@translate}</h2>
+</div>
+
+<form method="post" class="properties" action="" ENCTYPE="multipart/form-data" name="form" class="properties">
+<div id="configContent">
+      <fieldset id="mainConfCheck">
+        <legend>{'Title banner on pages'|@translate}</legend>
+          <ul>
+            <li>
+             <span class="property">{'Display page banner on home page'|@translate}</span>
+             <input type="checkbox" name="sbre[home]" value="true" {if $sbre.home}checked="checked"{/if}>
+            </li>
+            <li>
+             <span class="property">{'Display page banner on categories pages'|@translate}</span>
+             <input type="checkbox" name="sbre[categories]" value="true" {if $sbre.categories}checked="checked"{/if}>
+            </li>
+            <li>
+              <span class="property">{'Display page banner on picture page'|@translate}</span>
+              <input type="checkbox" name="sbre[picture]" value="true" {if $sbre.picture}checked="checked"{/if}>
+            </li>
+            <li>
+              <span class="property">{'Display page banner on other pages'|@translate}</span>
+              <input type="checkbox" name="sbre[other]" value="true" {if $sbre.other}checked="checked"{/if}>
+            </li>
+          </ul>
+      </fieldset>
+
+      <fieldset id="mainConfCheck">
+        <legend>{'Tips'|@translate}</legend>
+          <ul>
+            <li>
+              <span class="property">{'mb menubar items'|@translate}</span>
+              <select name="nbItemsMB">
+                <option label="1" value="100%">1</option>
+                <option label="2" value="50%">2</option>
+			    <option label="3" value="33%">3</option>
+                <option label="4" value="25%" selected="selected">4</option>
+                <option label="5" value="20%">5</option>
+                <option label="6" value="16%">6</option>
+                <option label="7" value="14%">7</option>
+              </select>
+            </li>
+            <li>
+              <table id="tips">
+                <tr id="l1">
+                  <td class="tn_dimensions">&nbsp;</td>
+                  <td class="tn_width">{'width'|@translate}</td>
+                  <td>x</td>
+                  <td class="tn_height">{'height'|@translate}</td>
+                  <td>&nbsp;</td>
+                </tr>
+                <tr id="l2">
+                  <td class="tn_dimensions">{'Thumbnail dimensions'|@translate}</td>
+                  <td class="tn_width">
+                    <input type="text" value="128" id="tn_width" name="picture_width" size="1" maxlength="3"></td>
+                  <td>x</td>
+                  <td class="tn_height"><input type="text" value="96" id="tn_height" name="picture_height" size="1" maxlength="3" /></td>
+                  <td>
+                    {'(Dimensions limits in pixels)'|@translate}
+                  </td>
+                </tr>
+              </table>
+            </li>
+            <li>
+              <span class="property">{'Display LMT licence'|@translate}</span>
+              <input type="checkbox" name="sbre[LMT-licence]" value="true" {if $sbre.LMT-licence}checked="checked"{/if}>
+            </li>
+            <li>
+              <table id="troncate">
+                <tr id="l1">
+                  <td class="lenght">{'Troncate picture name'|@translate}</td>
+                  <td class="lenght_value">
+                    <input type="checkbox" name="sbre[troncate_picture_name]" value="true" {if $sbre.troncate_picture_name}checked="checked"{/if}>
+                  </td>
+                </tr>
+                <tr id="l2">
+                  <td class="nb_caracters">{'Many caracters to be preserved'|@translate}</td>
+                  <td class="nb_caracters_value">
+                    <input type="text" value="4" id="troncate_name" name="troncate_name_longer" size="1" maxlength="2">
+                  </td>
+                </tr>
+                <tr id="l3">
+                  <td class="start_or_end">{'Start or end'|@translate}</td>
+                  <td class="start_or_end_value">
+                    <select name="StartOrEnd">
+                      <option value="none" selected="selected" label="1"> </option>
+                      <option value="Start" label="2">{'Start'|@translate}</option>
+                      <option value="End" label="3" >{'End'|@translate}</option>
+                    </select>
+                </tr>
+              </table>
+            </li>
+            <li>
+              <span class="property">{'Display light categories'|@translate}</span>
+              <input type="checkbox" name="sbre[Display_light_categories]" value="true" {if $sbre.Display_light_categories}checked="checked"{/if}>
+            </li>
+        </ul>
+      </fieldset>
+</div>
+<p><input class="submit" type="submit" value="{'Submit'|@translate}" name="submit" /></p>
+</form>
Index: extensions/sobre/branches/1.3/admin/index.php
===================================================================
--- extensions/sobre/branches/1.3/admin/index.php	(revision 7062)
+++ extensions/sobre/branches/1.3/admin/index.php	(revision 7062)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/sobre/branches/1.3/admin/maintain.inc.php
===================================================================
--- extensions/sobre/branches/1.3/admin/maintain.inc.php	(revision 7062)
+++ extensions/sobre/branches/1.3/admin/maintain.inc.php	(revision 7062)
@@ -0,0 +1,35 @@
+<?php
+
+/* Lors de l'activation */
+function theme_activate($id, $version, &$errors)
+{
+  global $prefixeTable, $conf;
+
+  if (!isset($conf['Sobre']))
+  {
+    $config = array(
+      'home'       => true,
+      'categories' => true,
+      'picture'    => false,
+      'other'      => true,
+	  'nbItemsMB'  => 4,
+      );
+      
+    $query = '
+INSERT INTO ' . CONFIG_TABLE . ' (param,value,comment)
+VALUES ("Sobre" , "'.addslashes(serialize($config)).'" , "Sobre parameters");';
+
+    pwg_query($query);
+  }
+}
+
+/* Lors de la désactivation */
+function theme_deactivate()
+{
+  global $prefixeTable;
+
+  $query = 'DELETE FROM ' . CONFIG_TABLE . ' WHERE param="Sobre" LIMIT 1;';
+  pwg_query($query);
+}
+
+?>