Index: /extensions/AdditionalPages/language/sk_SK/description.txt
===================================================================
--- /extensions/AdditionalPages/language/sk_SK/description.txt	(revision 7063)
+++ /extensions/AdditionalPages/language/sk_SK/description.txt	(revision 7063)
@@ -0,0 +1,1 @@
+Pridanie prídavných stránok do menu.
Index: /extensions/AdditionalPages/language/sk_SK/index.php
===================================================================
--- /extensions/AdditionalPages/language/sk_SK/index.php	(revision 7063)
+++ /extensions/AdditionalPages/language/sk_SK/index.php	(revision 7063)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id$
+// | last update   : $Date$
+// | last modifier : $Author$
+// | revision      : $Revision$
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/AdditionalPages/language/sk_SK/plugin.lang.php
===================================================================
--- /extensions/AdditionalPages/language/sk_SK/plugin.lang.php	(revision 7063)
+++ /extensions/AdditionalPages/language/sk_SK/plugin.lang.php	(revision 7063)
@@ -0,0 +1,40 @@
+<?php
+
+$lang['ap_add_page'] = 'Pridať stránku';
+
+$lang['ap_create'] = 'Vytvoriť novú prídavnú stránku';
+$lang['ap_deleted_page'] = 'Stránka vymazaná (<a href="' .PHPWG_ROOT_PATH . '">späť na úvodnú stránku</a>)';
+$lang['ap_no_name'] = 'Nevyplnili ste názov.';
+$lang['ap_saved_page'] = 'Stránka uložená (<a href="' .PHPWG_ROOT_PATH . 'index.php?/additional_page/%s">pozrieť stránku</a>)';
+$lang['ap_modify'] = 'Upraviť prídavnú stránku';
+$lang['ap_all_lang'] = 'Všetky';
+$lang['ap_all_group'] = 'Všetky';
+
+$lang['ap_conf_saved'] = 'Konfigurácia uložená.';
+
+$lang['ap_page_name'] = 'Názov stránky';
+$lang['ap_page_lang'] = 'Jazyk';
+$lang['ap_default_language'] = 'Predvolený';
+$lang['ap_page_pos'] = 'Umiestnenie';
+$lang['ap_authorized_group'] = 'Skupiny';
+$lang['ap_authorized_users'] = 'Používatelia';
+$lang['ap_select_all'] = 'Označiť všetko';
+$lang['ap_unselect_all'] = 'Odznačiť všetko';
+$lang['ap_guest'] = '(ponechajte prázdne pre verejnú stránku)';
+$lang['ap_pos0'] = '0 nezobrazí stránku v ponuke';
+$lang['ap_page_content'] = 'Obsah';
+$lang['ap_save'] = 'Uložiť';
+$lang['ap_delete'] = 'Vymazať';
+
+$lang['ap_config'] = 'Konfigurácia';
+$lang['ap_menu_name'] = 'Názov menu';
+$lang['ap_show_menu'] = 'Zobraziť blokové menu';
+$lang['ap_redirect'] = 'Automatické presmerovanie na uloženú stránku';
+$lang['ap_show_home'] = 'Zobraziť tlačidlo "späť na hlavnú stránku" na prídavných stránkach';
+$lang['ap_show_edit'] = 'Zobraziť upravovací link na blokové menu';
+$lang['ap_perm'] = 'Zapnúť Activate autorizačný manažment:';
+$lang['ap_group_perm'] = 'skupinami';
+$lang['ap_user_perm'] = 'typmi používateľov';
+$lang['ap_parse_bbcode'] = 'Konvertovať stránky napísané v BBCode';
+$lang['ap_convert_bbcode_ok'] = 'Konverzia úspešná.';
+?>