Index: /extensions/event_cats/admin/autolog_entries.inc.php
===================================================================
--- /extensions/event_cats/admin/autolog_entries.inc.php	(revision 7065)
+++ /extensions/event_cats/admin/autolog_entries.inc.php	(revision 7066)
@@ -104,5 +104,5 @@
           elseif ($a == 3) { // Image
             $url_end.= ($url_end == '') ? '' : '&amp;img='.$arg2;
-            $t = mysql_fetch_row(pwg_query("
+            $t = pwg_db_fetch_row(pwg_query("
              SELECT `name`, `file`
              FROM `".IMAGES_TABLE."`
Index: /extensions/event_cats/admin/template/duplication.tpl
===================================================================
--- /extensions/event_cats/admin/template/duplication.tpl	(revision 7065)
+++ /extensions/event_cats/admin/template/duplication.tpl	(revision 7066)
@@ -87,5 +87,5 @@
         </td>
       </tr>
-    </table>
+    </table><br />
     <input class = "submit" type = "submit" name = "ec_duplic_conf_submit" value = "{'Save dup. config btn'|@translate}" />
   </fieldset>
@@ -103,5 +103,5 @@
       <li><label><input type = "checkbox" name = "deny_groups[]" value = "{$id}" /> {$all_groups[$id]}</label></li>
       {/foreach}
-    </ul>
+    </ul><br />
     <input class = "submit" type = "submit" name = "deny_groups_submit" value = "{'Deny to groups btn'|@translate}" />
   </fieldset>
@@ -113,5 +113,5 @@
       <li><label><input type = "checkbox" name = "grant_groups[]" value = "{$id}"> {$all_groups[$id]}</label></li>
       {/foreach}
-    </ul>
+    </ul><br />
     <input class = "submit" type = "submit" name = "grant_groups_submit" value = "{'Grant to groups btn'|@translate}" />
   </fieldset>
@@ -129,5 +129,5 @@
         <li><label><input type = "checkbox" name = "deny_types[]" value = "{$id}" /> {$all_types[$id]}</label></li>
       {/foreach}
-    </ul>
+    </ul><br />
     <input class = "submit" type = "submit" name = "deny_types_submit" value = "{'Deny to types btn'|@translate}" />
   </fieldset>
@@ -143,5 +143,5 @@
         <li><label><input type = "checkbox" name = "grant_types[]" value = "{$id}" /> {$all_types[$id]}</label></li>
       {/foreach}
-    </ul>
+    </ul><br />
     <input class = "submit" type = "submit" name = "grant_types_submit" value = "{'Grant to types btn'|@translate}" />
   </fieldset>
@@ -155,5 +155,5 @@
       <li><label><input type = "checkbox" name = "deny_users[]" value = "{$id}" /> {$all_users[$id]}</label></li>
       {/foreach}
-    </ul>
+    </ul><br />
     <input class = "submit" type = "submit" name = "deny_users_submit" value = "{'Deny to users btn'|@translate}" />
   </fieldset>
@@ -176,5 +176,5 @@
       <li><label><input type = "checkbox" name = "grant_users[]" value = "{$id}"> {$all_users[$id]}</label></li>
       {/foreach}
-    </ul>
+    </ul><br />
     <input class = "submit" type = "submit" name = "grant_users_submit" value = "{'Grant to users btn'|@translate}" />
   </fieldset>
Index: /extensions/event_cats/include/ec_conf.inc.php
===================================================================
--- /extensions/event_cats/include/ec_conf.inc.php	(revision 7065)
+++ /extensions/event_cats/include/ec_conf.inc.php	(revision 7066)
@@ -37,5 +37,5 @@
 // following instructions :
 /*
-$t = mysql_fetch_row(pwg_query("
+$t = pwg_db_fetch_row(pwg_query("
   SELECT `value`
   FROM `".CONFIG_TABLE."`
@@ -124,5 +124,5 @@
 $t = array(); $u = '0'; $v = false;
 if ($v = (
-  ($t = mysql_fetch_row(pwg_query("
+  ($t = pwg_db_fetch_row(pwg_query("
     SELECT `value`
     FROM `".CONFIG_TABLE."`
Index: /extensions/event_cats/include/evntcats_admin_funcs.inc.php
===================================================================
--- /extensions/event_cats/include/evntcats_admin_funcs.inc.php	(revision 7065)
+++ /extensions/event_cats/include/evntcats_admin_funcs.inc.php	(revision 7066)
@@ -137,5 +137,5 @@
     $t2 = 0; $t3 = false; $t4 = false;
     while ( // The check is executed once at minimum
-      !($t3 = mysql_fetch_row(pwg_query("
+      !($t3 = pwg_db_fetch_row(pwg_query("
         SELECT `id`
         FROM `".GROUPS_TABLE."`
@@ -274,5 +274,5 @@
           AND `user_id` = '$ec_user_id';
       ");
-      while ($row = mysql_fetch_array($result))
+      while ($row = pwg_db_fetch_assoc($result))
        $granteds[$row['cat_id']][] = $row['user_id'];
       $inserts = array();
@@ -553,5 +553,5 @@
   $arg2p = ($arg2 == 'NULL') ? 'IS NULL' : ' = '.$arg2;
   $ec_user_idp = ($ec_user_id == 'NULL') ? 'IS NULL' : ' = '.$ec_user_id;
-  if (($t1 = mysql_fetch_row(pwg_query("
+  if (($t1 = pwg_db_fetch_row(pwg_query("
     SELECT `id`
     FROM `".EVNTCATS_TABLE."`
@@ -571,5 +571,5 @@
   if ($del_other) {
     if ((
-      $t1 = mysql_fetch_row(pwg_query("
+      $t1 = pwg_db_fetch_row(pwg_query("
         SELECT `code`
         FROM `".EVNTCATS_TABLE."`
@@ -583,5 +583,5 @@
        AND `id` <> ".$_POST['ec_entry_sel']
     );
-    while ($t2 = mysql_fetch_row($r)) if (!ec_delete_entry_OK($t2[0]))
+    while ($t2 = pwg_db_fetch_row($r)) if (!ec_delete_entry_OK($t2[0]))
      return false;
   }
@@ -662,5 +662,5 @@
 function ec_delete_entry_OK($ec_id) {
   global $page;
-  if (count($t = mysql_fetch_row(pwg_query("
+  if (count($t = pwg_db_fetch_row(pwg_query("
     SELECT `code`
     FROM `".EVNTCATS_TABLE."`
Index: /extensions/event_cats/include/evntcats_main_funcs.inc.php
===================================================================
--- /extensions/event_cats/include/evntcats_main_funcs.inc.php	(revision 7065)
+++ /extensions/event_cats/include/evntcats_main_funcs.inc.php	(revision 7066)
@@ -77,5 +77,5 @@
  */
 function ec_image_exists($cat, $img) {
-  return (mysql_fetch_row(pwg_query("
+  return (pwg_db_fetch_row(pwg_query("
     SELECT *
     FROM `".IMAGE_CATEGORY_TABLE."` 
@@ -190,5 +190,5 @@
   if (defined('ADD_PAGES_TABLE')) {
     $res = pwg_query("SELECT `id`, `title` FROM `".ADD_PAGES_TABLE."`;");
-    while ($r = mysql_fetch_array($res)) {
+    while ($r = pwg_db_fetch_assoc($res)) {
       $a = (is_in($r['title'], '/user_id=')) ?
        explode('/user_id=' , $r['title']) : array($r['title']);
@@ -264,5 +264,5 @@
     ORDER BY `id`
   ");
-  while ($r = mysql_fetch_assoc($q))
+  while ($r = pwg_db_fetch_assoc($q))
    $ec_lists['ec_table'][intval($r['id'])] = $r;
   
@@ -378,5 +378,5 @@
   // certain group (in groups, level (friends, family, contacts),
   // or user status (generic))
-  $types_entry_exists = (($t = mysql_fetch_row(pwg_query("
+  $types_entry_exists = (($t = pwg_db_fetch_row(pwg_query("
     SELECT `arg2`
     FROM `".EVNTCATS_TABLE."`
@@ -478,5 +478,5 @@
           AND `user_id` > 2;
       ");
-      while ($row = mysql_fetch_array($result)) {
+      while ($row = pwg_db_fetch_assoc($result)) {
         if (!isset($user_granted_from_type[$row['level']])) {
           $user_granted_from_type[$row['level']] = array();
@@ -517,5 +517,5 @@
         AND `user_id` > 2;
     ");
-    while ($row = mysql_fetch_array($result)) {
+    while ($row = pwg_db_fetch_assoc($result)) {
       if (!isset($granted_groups[$row['group_id']])) {
         $granted_groups[$row['group_id']] = array();
Index: /extensions/event_cats/main.inc.php
===================================================================
--- /extensions/event_cats/main.inc.php	(revision 7065)
+++ /extensions/event_cats/main.inc.php	(revision 7066)
@@ -243,5 +243,5 @@
     ");
     $insert = array();
-    while ($row = mysql_fetch_assoc($result))
+    while ($row = pwg_db_fetch_assoc($result))
      $insert[] = "(".$new_user['id'].",".$row['cat_id'].")";
     if (!empty($insert)) pwg_query("
@@ -257,5 +257,5 @@
     ");
     $insert = array();
-    while ($row = mysql_fetch_assoc($result))
+    while ($row = pwg_db_fetch_assoc($result))
      $insert[] = "(".$new_user['id'].",".$row['group_id'].")";
     if (!empty($insert)) pwg_query("
@@ -271,5 +271,5 @@
     ");
     $insert = array();
-    while ($row = mysql_fetch_assoc($result))
+    while ($row = pwg_db_fetch_assoc($result))
      $insert[] = "(".$new_user['id'].",".$row['level'].")";
     if (!empty($insert)) pwg_query("